#include <malloc.h>
#include <stdio.h>

typedef
	struct kunde_t {
	int kdnr;
	char name[64];
	char adresse[64];
} cust;


cust* create_database(int n) {
	int i;
	cust *kunden;
	kunden = malloc(n * sizeof(cust));
	for(i = 0;i<n;++i)  {
		sprintf(kunden[i].name,	"Kunde %d",i);
		kunden[i].kdnr = i;
		kunden[i].adresse[0] = '\0';
	}
	return kunden;
}

void delete_database(cust* db) {
	if(db != NULL)
		free(db);
}


void drucke_kunde(cust *k) {
	printf("Name: %s\n",k->name);
	printf("Adresse: %s\n",k->adresse);
	printf("KdNr: %d\n",k->kdnr);
}


int main() {
	cust* meine_datenbank;

	// Datenbank fr 5 Personen anlegen
	meine_datenbank = create_database(5);

	// alle 5 Personen ausgeben
	int i = 0;
	for(;i<5;++i) {
		printf("==== naechster Kunde: ====\n");
		drucke_kunde(&meine_datenbank[i]);
	}

	// daten freigeben
	delete_database(meine_datenbank);

	/* Daten nochmal ausgeben: wird zu fehlerhaftem Verhalten fhren
	*/
	for(i = 0;i<5;++i) {
		printf("naechster Kunde:\n");
		drucke_kunde(&meine_datenbank[i]);

	}
}